Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1080 - SILO installs on [possibly] wrong drive.
Summary: SILO installs on [possibly] wrong drive.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: silo
Version: 5.2
Hardware: sparc
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-08 18:43 UTC by Peter Jones
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-09 22:55:29 UTC


Attachments (Terms of Use)

Description Peter Jones 1999-02-08 18:43:36 UTC
Earlier sparcs remap SCSI IDs 0 and 3 in OpenBOOT.  Linux
ignores this.  SILO then proceeds to install on the lowest
SCSI ID.  If you have a drive on 0 and 3, SILO will install
on 0, the sparc will try to boot off of ID 3.

Comment 1 Preston Brown 1999-03-29 21:48:59 UTC
Jeff, is this an installer issue (i.e. parameters written to the SILO
config file) or a silo issue itself?

Comment 2 Jeff Johnson 1999-04-09 22:55:59 UTC
Fixing this problem in silo would require knowing all the
Sun OBP versions in order to take appropriate corrective
measures. It's easier just to fix this problem in the
documentation by saying that on older suns's, you should make
sure that that unit numbers are the same as the target ID's by
setting the appropriate OpenPROM variable before using silo.


Note You need to log in before you can comment on or make changes to this bug.